<?php

error_reporting(E_ALL);
ini_set('display_errors', 0); // Set to 0 in production

// Log file path
$logFilePath = 'contact_logs.log';

// Function to log messages to a file
function logMessage($message) {
    global $logFilePath;
    $timestamp = date('Y-m-d H:i:s');
    file_put_contents($logFilePath, "[$timestamp] $message" . PHP_EOL, FILE_APPEND);
}

try {


$data = file_get_contents('php://input');

logMessage("Incoming data: $data");

$filename = 'contact_payloads.txt';

file_put_contents($filename, "#### $data #####".PHP_EOL, FILE_APPEND);


include 'helper.php';

$webhook_data = json_decode($data, true);
$contact_info = $webhook_data['message'][0];
$first_name = $contact_info['firstName'];
$last_name = $contact_info['lastName'];
$email = $contact_info['email'];

// Prepare POST data
$contact_data = array(
    'data'=> [
    array(
    'First_Name' => $first_name,
    'Last_Name' => $last_name,
    'Email' => $email
    )]
);


$token = access_token();

$contact = search_contact($token, $email);

if ($contact ==""){
   $st_con = create_contact($contact_data, $token);
//   echo "$token =>";
   echo $st_con;
    // create_contact($contact_data);
}
else{
    // echo "already exist";
    $st_con = create_contact($contact_data, $token);
    echo $st_con;
    // create_contact($data, $token);
    // print_r($contact);
}
} catch (Exception $e) {
    // Log any exceptions
    logMessage("Exception: " . $e->getMessage());
}



?>