<?php

error_reporting(E_ALL);
ini_set('display_errors', 0); // Set to 0 in production

// Log file path
$logFilePath = 'invitee_accept_logs.log';

// Function to log messages to a file
function logMessage($message) {
    global $logFilePath;
    $timestamp = date('Y-m-d H:i:s');
    file_put_contents($logFilePath, "[$timestamp] $message" . PHP_EOL, FILE_APPEND);
}


    $flag = false;

    $data = file_get_contents('php://input');

    logMessage("Incoming data: $data");

    $filename = 'invitee_accept_responses.txt';

    file_put_contents($filename, "##### $data #####".PHP_EOL, FILE_APPEND);

    $cvent_data = json_decode($data, true);

    // this helper function is consist of all the necessary widely used functions
    include '../helper.php';
    include 'event_helper.php';

    $e_type = $cvent_data['eventType'];
    $e_code = $cvent_data['message'][0]['eventForInvitee']['eventCode'];
    $invitee_mail = $cvent_data['message'][0]['email'];
    $invitee_status = $cvent_data['message'][0]['inviteeStatus'];
    $invitee_firstname = $cvent_data['message'][0]['firstName'];
    $invitee_lastname = $cvent_data['message'][0]['lastName'];
    $token = access_token();

    $event_response_crm = event_search($e_code, $token);
    
 
    $e_id_crm = $event_response_crm->data[0]->id;
    


    $c_data = search_contact($token, $invitee_mail);

    $contact_data = array(
        'data' => [
            array(
                'First_Name' => $invitee_firstname,
                'Last_Name' => $invitee_lastname,
                'Email' => $invitee_mail
            )
        ]
    );

    if ($c_data == "") {
        $st_con = create_contact($contact_data, $token);
        // Wait until contact creation is complete
        $maxRetries = 10;
        $retryCount = 0;

        while ($retryCount < $maxRetries) {
            sleep(2); // Wait for 2 seconds before retrying
            $c_data = search_contact($token, $invitee_mail);

            if ($c_data != "") {
                $contact_id = $c_data->data[0]->id;
                $flag = true;
                break;
            }

            $retryCount++;
        }
    } else {
        $contact_id = $c_data->data[0]->id;
        $flag = true;
    }

    if ($invitee_status == 'Accepted' && !empty($e_id_crm) && !empty($contact_id) && $e_type == 'InviteeOrGuestAccepted' && $flag) {
        print_r($contact_id);

        $event_data = array(
            'data' => [
                array(
                    'id' => $e_id_crm,
                    'Member_Status' => 'Responded'
                )
            ]
        );

        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://www.zohoapis.in/crm/v6/Contacts/$contact_id/Campaigns",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => 'PUT',
            CURLOPT_POSTFIELDS => json_encode($event_data),
            CURLOPT_HTTPHEADER => array(
                "Authorization: Zoho-oauthtoken $token",
                "Content-Type: application/json"
            ),
        ));

        $response = curl_exec($curl);

        curl_close($curl);

        echo $response;

        $desired_code = "SUCCESS";
        do {
            try {
                // Make the request
                $response = file_get_contents($url);

                // Decode JSON response
                $json_response = json_decode($response, true);

                // Check if the response contains the desired code
                if (isset($json_response['data'][0]['code']) && $json_response['data'][0]['code'] === $desired_code) {
                    break; // Exit the loop if desired response is received
                }
            } catch (Exception $e) {
                echo 'Error: ', $e->getMessage(), "\n";
            }

            // Wait for some time before retrying
            sleep(2);

        } while (true);

    } else {
        echo json_encode(['message' => 'something wrong']);
    }


?>
