
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>API Data Table</title>
<style>
    table {
        border-collapse: collapse;
        width: 100%;
    }
    th, td {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
    }
    th {
        background-color: #f2f2f2;
    }
    
    #loader {
        border: 8px solid #f3f3f3; /* Light grey */
        border-top: 8px solid #3498db; /* Blue */
        border-radius: 50%;
        width: 50px;
        height: 50px;
        animation: spin 1s linear infinite;
        margin: 50px auto;
    }

    @keyframes spin {
        0% { transform: rotate(0deg); }
        100% { transform: rotate(360deg); }
    }

    .hidden {
        display: none;
    }
    
</style>
</head>
<body>
    

<h2 style="text-align: center;">All Data</h2>
<table id="data-table">
    <thead>
        <tr>
            <th>Full Name</th>
            <th>Email</th>
            <th>Phone</th>
            <th>Member Status</th>
            <th>Modified Time</th>
            <th>Created Time</th>
            <th>ID</th>
            <th>Mobile</th>
        </tr>
    </thead>
    <tbody>
        
<div id="loader" class="hidden"></div>
        <!-- Data will be populated here using JavaScript -->
    </tbody>
</table>

<script>

document.getElementById("loader").classList.remove("hidden");

// Get the data after the hash from the URL
var hashData = window.location.hash.substring(1); // Remove the hash symbol (#)
console.log("Data after hash:", hashData);

// Fetch data from the API
fetch("https://ti2.in/zohoapi/people_matter/view_contact/get_data.php?id=" + hashData)
  .then((response) => response.json()) // Parse response as JSON
  .then((data) => {
    // Hide loader
    document.getElementById("loader").classList.add("hidden");
    
    // Populate table with data
    var tbody = document.querySelector('#data-table tbody');
    data.data.forEach(function(item) {
      var row = document.createElement('tr');
      row.innerHTML = `
        <td>${item.Full_Name}</td>
        <td>${item.Email}</td>
        <td>${item.Phone}</td>
        <td>${item.$member_info.Member_Status}</td>
        <td>${item.$member_info.Modified_Time}</td>
        <td>${item.$member_info.Created_Time}</td>
        <td>${item.$member_info.id}</td>
        <td>${item.Mobile}</td>
      `;
      tbody.appendChild(row);
    });
  })
  .catch((error) => {
    console.error("Error fetching data:", error);
    // Hide loader on error
    document.getElementById("loader").classList.add("hidden");
  });
    
</script>
</body>
</html>



